A wallet's in-flight orders
GET
/xswap/orders
const url = 'https://api.getchord.xyz/v1/xswap/orders?user=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.getchord.xyz/v1/xswap/orders?user=example'Newest first — how a client recovers cross-chain state it never held locally.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”user
required
EVM address, hex, case-insensitive.
string
Responses
Section titled “ Responses ”Media typeapplication/json
object
orders
Array<object>
object
key
additional properties
any
Examplegenerated
{ "orders": [ {} ]}Invalid parameters — error names the check that failed (INVALID_PARAMS, BAD_ADDRESS, BAD_LIMIT, BAD_HOURS, …).
Media typeapplication/json
Every non-2xx body.
object
error
required
Stable machine code, e.g. INVALID_PARAMS, NOT_READY, RATE_LIMIT_EXCEEDED.
string
message
For humans.
string
statusCode
HTTP status, when included.
integer
Example
{ "error": "INVALID_PARAMS", "message": "amount must be an integer string in the token's smallest unit"}The routing engine or an upstream did not answer (ENGINE_ERROR, ROUTE_ERROR).
Media typeapplication/json
Every non-2xx body.
object
error
required
Stable machine code, e.g. INVALID_PARAMS, NOT_READY, RATE_LIMIT_EXCEEDED.
string
message
For humans.
string
statusCode
HTTP status, when included.
integer
Example
{ "error": "INVALID_PARAMS", "message": "amount must be an integer string in the token's smallest unit"}